## doit 0.24.0

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d _build/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml pickle json htmlhelp qthelp latex changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html      to make standalone HTML files"
	@echo "  dirhtml   to make HTML files named index.html in directories"
	@echo "  pickle    to make pickle files"
	@echo "  json      to make JSON files"
	@echo "  htmlhelp  to make HTML files and a HTML help project"
	@echo "  qthelp    to make HTML files and a qthelp project"
	@echo "  latex     to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  changes   to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck to check all external links for integrity"
	@echo "  doctest   to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf _build/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) _build/html
	@echo
	@echo "Build finished. The HTML pages are in _build/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) _build/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in _build/dirhtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) _build/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) _build/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) _build/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in _build/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) _build/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in _build/qthelp, like this:"
	@echo "# qcollectiongenerator _build/qthelp/doit.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile _build/qthelp/doit.qhc"

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) _build/latex
	@echo
	@echo "Build finished; the LaTeX files are in _build/latex."
	@echo "Run \`make all-pdf' or \`make all-ps' in that directory to" \
	      "run these through (pdf)latex."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) _build/changes
	@echo
	@echo "The overview file is in _build/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) _build/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in _build/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) _build/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in _build/doctest/output.txt."

## doit 0.20.0

=== debian/changelog ===
doit (0.20.0-1) unstable; urgency=low

  * Imported Upstream version 0.20.0
  * Use sphinxdoc option from debhelper to build the documentation:
    - debian/control: Added missing dependency on python(3)-sphinx.
    - debian/python-doit-doc.links: removed, now handled by sphinxdoc.
    - debian/rules: Clean-up symlinks
  * Fixed author in debian/python-doit-doc.doc-base file
  * Added call to run test cases
    - Added dependency on python-mock and strace.
  * Updated home page url
  * Replaced "DoIt" for "doit" asked by the upstream author
  * Improved package description

 -- Agustin Henze <tin@sluc.org.ar>  Thu, 07 Feb 2013 18:48:58 -0300

doit (0.19.0-1) unstable; urgency=low

  * New upstream release
    - Adds support for python3.
    - Update standard version from 3.9.3 to 3.9.4.

 -- Agustin Henze <tin@sluc.org.ar>  Fri, 21 Dec 2012 19:47:27 -0300

doit (0.17.0-2) unstable; urgency=low

  * Workaround a debhelper rewrite so we leave the version dependency up to
    the python alternatives system.

 -- Agustin Henze <tin@sluc.org.ar>  Wed, 10 Oct 2012 12:16:18 -0300

doit (0.17.0-1) unstable; urgency=low

  * Initial release (Closes: #689742).

 -- Agustin Henze <tin@sluc.org.ar>  Wed, 03 Oct 2012 21:23:41 -0300

=== debian/control ===
Source: doit
Section: python
Priority: optional
Maintainer: Agustin Henze <tin@sluc.org.ar>
Uploaders: Ulises Vitulli <dererk@debian.org>
Build-Depends: debhelper (>= 9)
Build-Depends-Indep: python-all,
 python-support (>= 1),
 bash-completion,
 python-sphinx (>= 1.0.7+dfsg) | python3-sphinx,
 python-pyinotify,
 python-setuptools,
 python3-all,
 python3-setuptools,
 python-mock,
 strace,
Standards-Version: 3.9.4
X-Python-Version: >= 2.7
Homepage: http://pydoit.org
Vcs-Git: git://git.debian.org/collab-maint/doit.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/doit.git

Package: python-doit
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}, python-pyinotify
Suggests: python-doit-doc
Description: Automation tool for executing any kind of task in a build-tools fashion
 doit is an automation tool that brings the power of build-tools to execute any
 kind of task.
 .
 A task describes some computation to be done (actions), and contains some
 extra meta-data.
 The actions can be external programs or Python functions. A single task may
 define more than one action.
 doit uses the task’s meta-data to:
  * cache task results
  * correct execution order
  * parallel execution
  * powerful dependency system

Package: python3-doit
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}, python3-pyinotify
Suggests: python-doit-doc
Description: Automation tool for executing any kind of task in a build-tools fashion
 doit is an automation tool that brings the power of build-tools to execute any
 kind of task.
 .
 A task describes some computation to be done (actions), and contains some
 extra meta-data.
 The actions can be external programs or Python functions. A single task may
 define more than one action.
 doit uses the task’s meta-data to:
  * cache task results
  * correct execution order
  * parallel execution
  * powerful dependency system

Package: python-doit-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Recommends: python-doit
Description: Automation tool for executing any kind of task in a build-tools fashion - doc
 doit is an automation tool that brings the power of build-tools to execute any
 kind of task.
 .
 A task describes some computation to be done (actions), and contains some
 extra meta-data.
 The actions can be external programs or Python functions. A single task may
 define more than one action.
 doit uses the task’s meta-data to:
  * cache task results
  * correct execution order
  * parallel execution
  * powerful dependency system
 .
 This package contains API documentation and examples.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

PYVERS :=  python2.7
PY3VERS := $(shell py3versions -s)

%:
	dh $@ --with bash-completion --with sphinxdoc --with python2,python3

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	set -ex; \
		for py in $(PYVERS); do \
			$$py runtests.py; \
		done
endif

override_dh_auto_build:
	cp bash_completion_doit debian/bash_completion_doit3
	sed -i 's@doit@doit3@g' debian/bash_completion_doit3

override_dh_auto_clean:
	dh_auto_clean -- --all
	rm -rf build
	rm -rf doc/_build
	rm -rf doit.egg-info
	rm -f debian/doit.1
	rm -f debian/doit3.1
	rm -f debian/bash_completion_doit3

override_dh_auto_install:
	rm -rf __pycache__
	set -ex; \
	for py in $(PYVERS); do \
		$$py setup.py install --root debian/python-doit \
				      --install-layout=deb; \
	done
	set -ex; \
	for py in $(PY3VERS); do \
		$$py setup.py install --root debian/python3-doit \
				      --install-layout=deb; \
	done
	mv debian/python3-doit/usr/bin/doit debian/python3-doit/usr/bin/doit3
	rst2man debian/doit.rst debian/doit.1
	rst2man debian/doit3.rst debian/doit3.1
	set -ex; \
		cd doc; \
		make html; \
		cd -;

=== debian/watch ===
version=3

http://pypi.python.org/packages/source/d/doit/doit-([0-9.]*)\.tar\.gz

## doit 0.21.1

=== debian/changelog ===
doit (0.21.1-1) unstable; urgency=low

  * Imported Upstream version 0.21.1
  * Add new dependency, the new version use six project for run in python2
    and python3.
  * Add missing dependencies (strace, python-gdbm, python3-gdbm).
  * Little improvements in package description.
  * Change the url in the Vcs-Git field by the canonical url.
  * Remove the command for run test cases in debian/rules file. It fix FTBFS in
    pbuilder.
  * Convert debian/copyright file to machine readable.

 -- Agustin Henze <tin@sluc.org.ar>  Fri, 31 May 2013 19:38:36 -0300

=== debian/control ===
--- 
+++ 
@@ -4,27 +4,35 @@
 Maintainer: Agustin Henze <tin@sluc.org.ar>
 Uploaders: Ulises Vitulli <dererk@debian.org>
 Build-Depends: debhelper (>= 9)
-Build-Depends-Indep: python-all,
+Build-Depends-Indep:
+ bash-completion,
+ strace,
+ python-all,
  python-support (>= 1),
- bash-completion,
  python-sphinx (>= 1.0.7+dfsg) | python3-sphinx,
  python-pyinotify,
  python-setuptools,
+ python-mock,
+ python-six,
+ python-gdbm,
+ python-pytest,
  python3-all,
  python3-setuptools,
- python-mock,
- strace,
+ python3-six,
+ python3-mock,
+ python3-gdbm,
 Standards-Version: 3.9.4
 X-Python-Version: >= 2.7
 Homepage: http://pydoit.org
-Vcs-Git: git://git.debian.org/collab-maint/doit.git
+Vcs-Git: git://anonscm.debian.org/collab-maint/doit.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/doit.git
 
 Package: python-doit
 Architecture: all
-Depends: ${python:Depends}, ${misc:Depends}, python-pyinotify
+Depends: ${python:Depends}, ${misc:Depends}, python-pyinotify, python-six
+Recommends: strace, python-gdbm
 Suggests: python-doit-doc
-Description: Automation tool for executing any kind of task in a build-tools fashion
+Description: Automation tool to execute any kind of task in a build-tools fashion
  doit is an automation tool that brings the power of build-tools to execute any
  kind of task.
  .
@@ -40,9 +48,10 @@
 
 Package: python3-doit
 Architecture: all
-Depends: ${python3:Depends}, ${misc:Depends}, python3-pyinotify
+Depends: ${python3:Depends}, ${misc:Depends}, python3-pyinotify, python3-six
+Recommends: strace, python3-gdbm
 Suggests: python-doit-doc
-Description: Automation tool for executing any kind of task in a build-tools fashion
+Description: Automation tool (Python3) to execute any kind of task in a build-tools fashion
  doit is an automation tool that brings the power of build-tools to execute any
  kind of task.
  .
@@ -55,6 +64,8 @@
   * correct execution order
   * parallel execution
   * powerful dependency system
+ .
+ This is the Python 3 version of the package.
 
 Package: python-doit-doc
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -9,14 +9,6 @@
 
 %:
 	dh $@ --with bash-completion --with sphinxdoc --with python2,python3
-
-override_dh_auto_test:
-ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
-	set -ex; \
-		for py in $(PYVERS); do \
-			$$py runtests.py; \
-		done
-endif
 
 override_dh_auto_build:
 	cp bash_completion_doit debian/bash_completion_doit3
@@ -30,6 +22,10 @@
 	rm -f debian/doit.1
 	rm -f debian/doit3.1
 	rm -f debian/bash_completion_doit3
+	rm -f tests/data/stop
+	rm -f tests/data/dependency*
+	rm -f tests/data/target
+	rm -f tests/data/w*.txt
 
 override_dh_auto_install:
 	rm -rf __pycache__

## doit 0.24.0

=== debian/changelog ===
doit (0.24.0-1) unstable; urgency=medium

  * Change the url in debian/watch file
  * Imported Upstream version 0.24.0
  * Bumped Standard-Version to 3.9.5 (no changes required)
  * Use pybuild as buildsystem
  * Update manpage
  * Run the test suite again
  * get-orig-source uses uscan instead of wget

 -- Agustin Henze <tin@debian.org>  Thu, 05 Dec 2013 11:39:03 -0300

doit (0.23.0-1) unstable; urgency=low

  * Imported Upstream version 0.23.0
  * Remove the command for run test cases in debian/rules file. It fix FTBFS in
    pbuilder, bug fixed in the next upstream version.

 -- Agustin Henze <tin@debian.org>  Fri, 20 Sep 2013 19:40:35 -0300

doit (0.22.1-1) unstable; urgency=low

  * Imported Upstream version 0.22.1
  * Add get-orig-source target into debian/rules file

 -- Agustin Henze <tin@debian.org>  Thu, 15 Aug 2013 14:30:41 +0200

doit (0.22.0-1) unstable; urgency=low

  * Imported Upstream version 0.22.0 (Closes: #711879) "bash completion script
    overwrites global COMP_WORDBREAKS"
  * Add missed build-dependency on python3-pyinotify.
  * Remove unnecessary build-dependency on python-support.
  * Add target override_dh_auto_test for run the test suite in debian/rules
    file.

 -- Agustin Henze <tin@debian.org>  Thu, 01 Aug 2013 17:48:41 -0300

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,14 @@
 Source: doit
 Section: python
 Priority: optional
-Maintainer: Agustin Henze <tin@sluc.org.ar>
+Maintainer: Agustin Henze <tin@debian.org>
 Uploaders: Ulises Vitulli <dererk@debian.org>
-Build-Depends: debhelper (>= 9)
-Build-Depends-Indep:
+Build-Depends:
+ debhelper (>= 9),
  bash-completion,
+ dh-python,
  strace,
  python-all,
- python-support (>= 1),
  python-sphinx (>= 1.0.7+dfsg) | python3-sphinx,
  python-pyinotify,
  python-setuptools,
@@ -21,8 +21,10 @@
  python3-six,
  python3-mock,
  python3-gdbm,
-Standards-Version: 3.9.4
+ python3-pyinotify,
+Standards-Version: 3.9.5
 X-Python-Version: >= 2.7
+X-Python3-Version: >= 3.2
 Homepage: http://pydoit.org
 Vcs-Git: git://anonscm.debian.org/collab-maint/doit.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/doit.git

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

PYVERS :=  python2.7
PY3VERS := $(shell py3versions -s)
UPSTREAM_VERSION := $(shell dpkg-parsechangelog -SVersion | cut -d- -f1)
PACKAGE_NAME := $(shell dpkg-parsechangelog -SSource)
export PYBUILD_NAME=$(PACKAGE_NAME)

%:
	dh $@ --with bash-completion,sphinxdoc,python2,python3 --buildsystem=pybuild

override_dh_bash-completion:
	cp bash_completion_doit debian/bash_completion_doit3
	sed -i 's@doit@doit3@g' debian/bash_completion_doit3
	dh_bash-completion
	cp zsh_completion_doit debian/zsh_completion_doit3
	sed -i 's@doit@doit3@g' debian/zsh_completion_doit3
	cp zsh_completion_doit debian/python-doit/usr/share/zsh/functions/Completion/Linux/_doit
	cp debian/zsh_completion_doit3 debian/python3-doit/usr/share/zsh/functions/Completion/Linux/_doit3

override_dh_auto_clean:
	dh_auto_clean
	rm -rf doc/_build
	rm -f debian/doit.1
	rm -f debian/doit3.1
	rm -f debian/bash_completion_doit3
	rm -f debian/zsh_completion_doit3
	rm -f tests/data/stop
	rm -f tests/data/dependency*
	rm -f tests/data/target
	rm -f tests/data/w*.txt

override_dh_auto_install:
	dh_auto_install
	# Renaming the binary for python3
	mv debian/python3-doit/usr/bin/doit debian/python3-doit/usr/bin/doit3
	# Generate manpages
	rst2man debian/doit.rst debian/doit.1
	rst2man debian/doit3.rst debian/doit3.1
	# build the html pages for the -doc package
	set -ex; \
		cd doc; \
		make html;

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	set -ex; \
		for py in $(PYVERS) $(PY3VERS); do \
			$$py runtests.py; \
		done
endif

get-orig-source:
	@if [ ! -d "debian" ] ; then \
		echo 'Run this from the top directory of the Debian source' >&2; \
		exit 1; \
	fi
	uscan --noconf --verbose --rename --destdir=$(CURDIR) \
		--check-dirname-level=0 --force-download --download-version $(UPSTREAM_VERSION)

=== debian/watch ===
version=3

https://bitbucket.org/schettino72/doit/downloads /schettino72/doit/get/([0-9.]*)\.tar\.bz2

## doit 0.25.0

=== debian/changelog ===
doit (0.25.0-2) unstable; urgency=medium

  * Remove depends on python3.3 (Closes: #751643)

 -- Agustin Henze <tin@debian.org>  Mon, 16 Jun 2014 11:40:07 -0300

doit (0.25.0-1) unstable; urgency=medium

  * Imported Upstream version 0.25.0
  * Disable test suite at debian package building time (Closes: #747956)

 -- Agustin Henze <tin@debian.org>  Thu, 12 Jun 2014 20:17:08 -0300

=== debian/control ===
--- 
+++ 
@@ -24,7 +24,7 @@
  python3-pyinotify,
 Standards-Version: 3.9.5
 X-Python-Version: >= 2.7
-X-Python3-Version: >= 3.2
+X-Python3-Version: >= 3.4
 Homepage: http://pydoit.org
 Vcs-Git: git://anonscm.debian.org/collab-maint/doit.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/doit.git

## doit 0.28.0

=== debian/changelog ===
doit (0.28.0-1) unstable; urgency=medium

  * Imported Upstream version 0.28.0
  * Bumped Standard-Version to 3.9.6 (no changes required)

 -- Ulises Vitulli <dererk@debian.org>  Sat, 20 Jun 2015 16:22:58 -0300

=== debian/control ===
--- 
+++ 
@@ -22,7 +22,7 @@
  python3-mock,
  python3-gdbm,
  python3-pyinotify,
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 X-Python-Version: >= 2.7
 X-Python3-Version: >= 3.4
 Homepage: http://pydoit.org

=== debian/rules ===
--- 
+++ 
@@ -47,12 +47,15 @@
 		make html;
 
 override_dh_auto_test:
-ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
-	set -ex; \
-		for py in $(PYVERS) $(PY3VERS); do \
-			$$py runtests.py; \
-		done
-endif
+	# Disable test by default. From time to time it fails into chroots when it
+	# uses the strace output to compare the result. So I'll run the test suit
+	# in my computer and if I find something wrong report to upstream.
+#ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
+#	set -ex; \
+#		for py in $(PYVERS) $(PY3VERS); do \
+#			$$py runtests.py; \
+#		done
+#endif
 
 get-orig-source:
 	@if [ ! -d "debian" ] ; then \

## doit 0.30.3

=== debian/changelog ===
doit (0.30.3-3) unstable; urgency=medium

  * Make the build reproducible, thanks to lamby! (Closes: #875792)

 -- Agustin Henze <tin@debian.org>  Wed, 20 Sep 2017 20:18:03 -0300

doit (0.30.3-2) unstable; urgency=medium

  * Deprecate and Break on py2 python-doit.
  * Point to proper Vcs-* URLs.

 -- Ulises Vitulli <dererk@debian.org>  Sun, 06 Aug 2017 23:12:57 -0300

doit (0.30.3-1) unstable; urgency=medium

  * New upstream version 0.30.3
  * Update watch url, the project has been moved from bitbucket to github
  * python-doit package has been removed, upstream doesn't support python2
    anymore
  * Use help2man to deliver an updated manpage
  * Bumped Standard-Version to 4.0.0 (no changes required)
  * Use https for Vcs-* fields
  * Use uscan for get-orig-source target
  * Use the proper patch for zsh completion (Closes: #843581, #797180)

 -- Agustin Henze <tin@debian.org>  Sat, 05 Aug 2017 18:32:10 -0400

=== debian/control ===
Source: doit
Section: python
Priority: optional
Maintainer: Agustin Henze <tin@debian.org>
Uploaders: Ulises Vitulli <dererk@debian.org>
Build-Depends:
 debhelper (>= 9),
 bash-completion,
 dh-python,
 strace,
 help2man,
 python3-sphinx,
 python3-all,
 python3-setuptools,
 python3-six,
 python3-mock,
 python3-gdbm,
 python3-pyinotify,
 python3-pyflakes,
 python3-pytest,
 python3-cloudpickle,
Standards-Version: 4.0.0
X-Python3-Version: >= 3.4
Homepage: http://pydoit.org
Vcs-Git: https://anonscm.debian.org/git/collab-maint/doit.git
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/doit.git

Package: python3-doit
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}, python3-pyinotify, python3-six
Recommends: strace, python3-gdbm
Suggests: python-doit-doc
Breaks: python-doit
Replaces: python-doit
Description: Automation tool (Python3) to execute any kind of task in a build-tools fashion
 doit is an automation tool that brings the power of build-tools to execute any
 kind of task.
 .
 A task describes some computation to be done (actions), and contains some
 extra meta-data.
 The actions can be external programs or Python functions. A single task may
 define more than one action.
 doit uses the task’s meta-data to:
  * cache task results
  * correct execution order
  * parallel execution
  * powerful dependency system
 .
 This is the Python 3 version of the package.

Package: python-doit-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Recommends: python3-doit
Description: Automation tool for executing any kind of task in a build-tools fashion - doc
 doit is an automation tool that brings the power of build-tools to execute any
 kind of task.
 .
 A task describes some computation to be done (actions), and contains some
 extra meta-data.
 The actions can be external programs or Python functions. A single task may
 define more than one action.
 doit uses the task’s meta-data to:
  * cache task results
  * correct execution order
  * parallel execution
  * powerful dependency system
 .
 This package contains API documentation and examples.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/dpkg/pkg-info.mk
export PYBUILD_NAME=$(DEB_SOURCE)

%:
	dh $@ --with bash-completion,sphinxdoc,python3 --buildsystem=pybuild

override_dh_bash-completion:
	dh_bash-completion
	cp zsh_completion_doit debian/python3-doit/usr/share/zsh/vendor-completions/_doit

override_dh_auto_clean:
	dh_auto_clean
	rm -rf doc/_build
	rm -f debian/doit.1
	rm -f tests/data/stop
	rm -f tests/data/dependency*
	rm -f tests/data/target
	rm -f tests/data/w*.txt

override_dh_auto_install:
	dh_auto_install
	# Generate manpages, stripping out the non-reproducible 'lib @ <dir>' line.
	help2man debian/doit.sh | grep -v 'lib @' > debian/doit.1
	# build the html pages for the -doc package
	set -ex; \
		cd doc; \
		make html;

override_dh_auto_test:
	# Disable test by default. From time to time it fails into chroots when it
	# uses the strace output to compare the result. So I'll run the test suit
	# in my computer and if I find something wrong report to upstream.
#ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
#	set -ex; \
#		for py in $(PYVERS) $(PY3VERS); do \
#			$$py runtests.py; \
#		done
#endif

get-orig-source:
	uscan --download-version $(DEB_VERSION_UPSTREAM)

## doit 0.31.1

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/doit.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/doit.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/doit"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/doit"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

=== debian/changelog ===
doit (0.31.1-3.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Don't run an autopkgtest that downloads code from the internet.
    (Closes: #954148)

 -- Adrian Bunk <bunk@debian.org>  Wed, 27 May 2020 10:06:51 +0300

doit (0.31.1-3.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Python 3.8 support. (Closes: #950481)

 -- Stefano Rivera <stefanor@debian.org>  Sun, 02 Feb 2020 13:23:58 +0100

doit (0.31.1-3.1) unstable; urgency=high

  * Non-maintainer upload.
  * Source-only upload to allow testing migration.

  [ Michael Hudson-Doyle ]
  * d/tests/unittests: Pass --no-warn-script-location to pip to suppress
    warning on stderr. (Closes: #944701)

 -- Boyuan Yang <byang@debian.org>  Fri, 15 Nov 2019 14:02:13 -0500

doit (0.31.1-3) unstable; urgency=medium

  [ Salsa Pipeline ]
  * Update salsa CI pipeline

  [ Iñaki Malerba ]
  * Fix pytest issue (Closes: #942236)

 -- Iñaki Malerba <inaki@malerba.space>  Sat, 26 Oct 2019 10:26:14 +0200

doit (0.31.1-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/changelog: Remove trailing whitespaces
  * d/control: Remove trailing whitespaces

  [ Iñaki Malerba ]
  * Test fixtures patch. (Closes: #907379)

 -- Agustin Henze <tin@debian.org>  Wed, 02 Jan 2019 15:41:31 +0000

doit (0.31.1-1) unstable; urgency=medium

  [ Iñaki Malerba ]
  * New upstream version 0.31.1
  * Add lintian job to ci
  * Test build reproducibility.
  * Fix examples path (Closes: #903170)
  * tests/control: replace python3-doit with @
  * Update standards version
  * Fix fixtures error on tests.

  [ Agustin Henze ]
  * Add pipeline template
  * Add piuparts check

 -- Iñaki Malerba <inaki@malerba.space>  Tue, 17 Jul 2018 09:23:06 -0300

doit (0.31.0-2) unstable; urgency=medium

  [ Iñaki Malerba ]
  * Add python3-setuptools as a dependency on autopkgtest

 -- Agustin Henze <tin@debian.org>  Fri, 16 Mar 2018 10:51:50 -0300

doit (0.31.0-1) unstable; urgency=medium

  [ Iñaki Malerba ]
  * Add runtime dependency on python3-pkg-resources.
  * Add tests for autopkgtest.
  * Add a CI job for running autopkgtest.

  [ Agustin Henze ]
  * New upstream version 0.31.0.
  * Migration to salsa
    * Add debian/gitlab-ci.yml.
    * Update Vcs-Git and Vcs-Browser.
  * Add current directory to the varenv PYTHONPATH when it builds doc.
  * Add Iñaki Malerba as maintainer.

 -- Agustin Henze <tin@debian.org>  Tue, 13 Mar 2018 16:19:01 -0300

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,9 @@
 Section: python
 Priority: optional
 Maintainer: Agustin Henze <tin@debian.org>
-Uploaders: Ulises Vitulli <dererk@debian.org>
+Uploaders:
+ Ulises Vitulli <dererk@debian.org>,
+ Iñaki Malerba <inaki@malerba.space>,
 Build-Depends:
  debhelper (>= 9),
  bash-completion,
@@ -19,15 +21,17 @@
  python3-pyflakes,
  python3-pytest,
  python3-cloudpickle,
-Standards-Version: 4.0.0
-X-Python3-Version: >= 3.4
+Standards-Version: 4.1.5
 Homepage: http://pydoit.org
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/doit.git
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/doit.git
+Vcs-Git: https://salsa.debian.org/debian/doit.git
+Vcs-Browser: https://salsa.debian.org/debian/doit
 
 Package: python3-doit
 Architecture: all
-Depends: ${python3:Depends}, ${misc:Depends}, python3-pyinotify, python3-six
+Depends: ${python3:Depends}, ${misc:Depends},
+ python3-pyinotify,
+ python3-six,
+ python3-pkg-resources,
 Recommends: strace, python3-gdbm
 Suggests: python-doit-doc
 Breaks: python-doit

=== debian/tests/control ===
Tests: version
Depends: @,
 python3-pytest,
 python3-wheel,
 python3-pyflakes,
 python3-pytest,
 python3-coverage,
 python3-setuptools,

=== debian/watch ===
version=3

opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/doit-$1\.tar\.gz/ \
  https://github.com/pydoit/doit/tags .*/v?(\d\S+)\.tar\.gz

## doit 0.36.0

=== doc/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    = -v  # debug
SPHINXBUILD   = sphinx-build
SPHINXPROJ    = doit
SOURCEDIR     = .
BUILDDIR      = _build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

=== debian/changelog ===
doit (0.36.0-5) unstable; urgency=medium

  * Team upload.
  * Do not generate a runtime dependency on python3-importlib-metadata.

 -- Alexandre Detiste <tchet@debian.org>  Sat, 10 May 2025 21:27:35 +0200

doit (0.36.0-4) unstable; urgency=medium

  * Team upload.
  * Remove dependency on python3-pkg-resources (Closes: #1083370)

 -- Alexandre Detiste <tchet@debian.org>  Mon, 10 Feb 2025 06:35:40 +0100

doit (0.36.0-3) unstable; urgency=medium

  * Team upload
  * Remove old extraneous dependency on python3-pyinotify (Closes: #1075950)

 -- Alexandre Detiste <tchet@debian.org>  Mon, 08 Jul 2024 13:56:31 +0200

doit (0.36.0-2) unstable; urgency=medium

  * Team upload
  * remove old extraneous dependencies on python3-mock & python3-six
  * Rules-Requires-Root: no

  [ Drew Parsons ]
  * mark python-doit-doc as Multi-Arch: foreign

 -- Alexandre Detiste <tchet@debian.org>  Sun, 11 Feb 2024 23:07:12 +0100

doit (0.36.0-1) unstable; urgency=medium

  [ Iñaki Malerba ]
  * New upstream version 0.36.0. Closes: #1042459.

  [ Drew Parsons ]
  * move doit to the Debian Python Team
  * add debian patches
    - doc_theme_no_press.patch drops unmaintained press
      theme (which breaks dh_sphinxdoc) and uses default rtd theme
      Build-Depends: python3-sphinx-rtd-theme
      not python3-sphinx-press-theme
    - doc_privacy.patch replaces node-html5shiv external link with
      link to local file. doc Suggests: node-html5shiv
    - doc_fix_toplevel_links.patch fixes relative href paths to local
      doc files
  * run build-time and runtime tests with pytest, skipping
    test_execute, test_dep, test_target (which require doit-py, not
    packaged for debian). Drop debian/tests/unittests (also requires
    doit-py)
  * mark debian/tests/version as superficial. Closes: #971463.
  * use doit script to create man page to avoid .sh suffix in help text.
    Add whatis entry to man page: "build-tools to execute any kind of
    task".  Use -N to drop texinfo reference. Closes: #944814.
  * update debian/watch to latest format (v4)
  * debhelper compatibility level 13
    Build-Depends: debhelper-compat (= 13)
  * Standards-Version: 4.6.2
  * exclude .gitignore from dh_installexamples (it is found in
    doc/samples in the upstream tarball)

 -- Drew Parsons <dparsons@debian.org>  Sun, 14 Jan 2024 00:36:44 +0100

=== debian/control ===
--- 
+++ 
@@ -1,37 +1,35 @@
 Source: doit
 Section: python
 Priority: optional
-Maintainer: Agustin Henze <tin@debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders:
- Ulises Vitulli <dererk@debian.org>,
- Iñaki Malerba <inaki@malerba.space>,
+ Drew Parsons <dparsons@debian.org>
 Build-Depends:
- debhelper (>= 9),
+ debhelper-compat (= 13),
  bash-completion,
- dh-python,
+ dh-sequence-python3,
  strace,
  help2man,
+ node-html5shiv,
  python3-sphinx,
+ python3-sphinx-rtd-theme,
+ python3-sphinx-sitemap,
+ python3-sphinx-reredirects,
  python3-all,
  python3-setuptools,
- python3-six,
- python3-mock,
  python3-gdbm,
- python3-pyinotify,
  python3-pyflakes,
  python3-pytest,
  python3-cloudpickle,
-Standards-Version: 4.1.5
+Rules-Requires-Root: no
+Standards-Version: 4.6.2
 Homepage: http://pydoit.org
-Vcs-Git: https://salsa.debian.org/debian/doit.git
-Vcs-Browser: https://salsa.debian.org/debian/doit
+Vcs-Git: https://salsa.debian.org/python-team/packages/doit.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/doit
 
 Package: python3-doit
 Architecture: all
 Depends: ${python3:Depends}, ${misc:Depends},
- python3-pyinotify,
- python3-six,
- python3-pkg-resources,
 Recommends: strace, python3-gdbm
 Suggests: python-doit-doc
 Breaks: python-doit
@@ -54,9 +52,11 @@
 
 Package: python-doit-doc
 Architecture: all
+Multi-Arch: foreign
 Section: doc
 Depends: ${misc:Depends}, ${sphinxdoc:Depends}
 Recommends: python3-doit
+Suggests: node-html5shiv
 Description: Automation tool for executing any kind of task in a build-tools fashion - doc
  doit is an automation tool that brings the power of build-tools to execute any
  kind of task.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/dpkg/pkg-info.mk
export PYBUILD_NAME=$(DEB_SOURCE)
export PYBUILD_TEST_ARGS=-k "not (test_execute or test_dep or test_target)"

%:
	dh $@ --with bash-completion,sphinxdoc --buildsystem=pybuild

execute_after_dh_bash-completion:
	cp zsh_completion_doit debian/python3-doit/usr/share/zsh/vendor-completions/_doit

execute_after_dh_auto_clean:
	rm -rf doc/_build
	rm -f debian/doit.1
	rm -f tests/data/stop
	rm -f tests/data/dependency*
	rm -f tests/data/target
	rm -f tests/data/w*.txt

execute_before_dh_installman:
	# Generate manpages, stripping out the non-reproducible 'lib @ <dir>' line.
	PYTHONPATH=$(CURDIR) help2man -n "build-tools to execute any kind of task" -N debian/python3-doit/usr/bin/doit | grep -v 'lib @' > debian/doit.1

execute_before_dh_installdocs:
	# build the html pages for the -doc package
	set -ex; \
		export PYTHONPATH=$(CURDIR); \
		cd doc; \
		make html;

override_dh_installexamples:
	dh_installexamples -X.gitignore

=== debian/tests/control ===
Tests: version
Depends: @,
 python3-pytest,
 python3-pip,
 python3-wheel,
 python3-pyflakes,
 python3-pytest,
 python3-coverage,
 python3-setuptools,
Restrictions: superficial

Test-Command: pytest-3 -k "not (test_execute or test_dep or test_target)"
Depends: @,
 python3-pytest,
 python3-pip,
 python3-wheel,
 python3-pyflakes,
 python3-pytest,
 python3-coverage,
 python3-setuptools,
